Get Order
curl --request GET \
--url https://api.polymarket.us/v1/order/{orderId} \
--header 'X-PM-Access-Key: <api-key>' \
--header 'X-PM-Signature: <api-key>' \
--header 'X-PM-Timestamp: <api-key>'import requests
url = "https://api.polymarket.us/v1/order/{orderId}"
headers = {
"X-PM-Access-Key": "<api-key>",
"X-PM-Timestamp": "<api-key>",
"X-PM-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-PM-Access-Key': '<api-key>',
'X-PM-Timestamp': '<api-key>',
'X-PM-Signature': '<api-key>'
}
};
fetch('https://api.polymarket.us/v1/order/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": {
"id": "<string>",
"marketSlug": "<string>",
"price": {
"value": "0.55",
"currency": "USD"
},
"quantity": 123,
"cumQuantity": 123,
"leavesQuantity": 123,
"goodTillTime": "2023-11-07T05:31:56Z",
"marketMetadata": {
"slug": "<string>",
"icon": "<string>",
"title": "<string>",
"outcome": "<string>",
"eventSlug": "<string>",
"teamId": 123,
"team": {
"id": 123,
"name": "<string>",
"abbreviation": "<string>",
"league": "<string>",
"record": "<string>",
"logo": "<string>",
"alias": "<string>",
"safeName": "<string>",
"homeIcon": "<string>",
"awayIcon": "<string>",
"colorPrimary": "<string>",
"ordering": "<string>",
"ranking": "<string>",
"conference": "<string>"
}
},
"commissionNotionalTotalCollected": {
"value": "0.55",
"currency": "USD"
},
"commissionsBasisPoints": "<string>",
"makerCommissionsBasisPoints": "<string>",
"avgPx": {
"value": "0.55",
"currency": "USD"
},
"cashOrderQty": {
"value": "0.55",
"currency": "USD"
},
"insertTime": "2023-11-07T05:31:56Z",
"createTime": "2023-11-07T05:31:56Z"
}
}Get Order
Get details for a specific order by its exchange-assigned ID
GET
/
v1
/
order
/
{orderId}
Get Order
Authorizations
Your API key ID (UUID). Generate at polymarket.us/developer.
Unix timestamp in milliseconds. Must be within 30 seconds of server time.
Base64-encoded Ed25519 signature of timestamp + method + path. See Authentication for details.
Path Parameters
Exchange-assigned Order ID to retrieve
Response
Order retrieved successfully
Response containing order details
The requested order
Show child attributes
Show child attributes
⌘I